<?xml version="1.0"?>
<doc>
<assembly>
<name>
JobServerConnector
</name>
</assembly>
<members>
<member name="E:JF.PlmJobManager.JobClient.Communication.JobServerConnector_cls.OUT_HostDrivesInfos">
 <summary>
 sendet die Liste der host infos
 </summary>
</member>
<member name="M:JF.PlmJobManager.JobClient.Communication.JobServerConnector_cls.IN_HostInfosRequest">
 <summary>
 Fordert die Liste der host infos
 </summary>
</member>
<member name="E:JF.PlmJobManager.JobClient.Communication.JobServerConnector_cls.OUT_HostDriveSettings">
 <summary>
 sendet die HostDriveSettings
 </summary>
</member>
<member name="M:JF.PlmJobManager.JobClient.Communication.JobServerConnector_cls.IN_HostDriveSettingsRequest">
 <summary>
 Fordert die HostDriveSettings
 </summary>
</member>
<member name="E:JF.PlmJobManager.JobClient.Communication.JobServerConnector_cls.OUT_HostCPUUtilizationSettings">
 <summary>
 sendet die HostCPUUtilizationSettings
 </summary>
</member>
<member name="M:JF.PlmJobManager.JobClient.Communication.JobServerConnector_cls.IN_HostCPUUtilizationSettingsRequest">
 <summary>
 Fordert die HostCPUUtilizationSettings
 </summary>
</member>
<member name="E:JF.PlmJobManager.JobClient.Communication.JobServerConnector_cls.OUT_HostMemoryUsageSettings">
 <summary>
 sendet die HostMemoryUsageSettings
 </summary>
</member>
<member name="M:JF.PlmJobManager.JobClient.Communication.JobServerConnector_cls.IN_HostMemoryUsageSettingsRequest">
 <summary>
 Fordert die HostMemoryUsageSettings
 </summary>
</member>
<member name="M:JF.PlmJobManager.JobClient.Communication.JobServerConnector_cls.Connect">
 <summary>
 Verbindung zum JobServer, Implementierung des Kommunikations-Protokolls
 </summary>
 <remarks> 
 <br/>#LUp: 3.1800;24.03.2023;J.Fes add Log.Info("JobClient JobData Root..: {0}", Settings_obj.Paths.Appl_Data_DP.FullName)
 <br/>#LUp: 3.2000;28.03.2025;J.Fes/S.Gueth 
 <br/>#LUp: 3.2000;02.04.2025;S.Gueth: bug fixing for log outputs
 <br/>#LUp: 3.2000;20.01.2026;S.Gueth: cleanup old job directories, before job is executed
 </remarks>
</member>
<member name="M:JF.PlmJobManager.JobClient.Communication.JobServerConnector_cls.InstallServerProvidedResources(JF.PlmJobManager.JobServer.ClientCommunication.TransportPaket_cls)">
 <summary>
 Install an update for the server provided resources.
 </summary>
 <param name="transportPaket"></param>
 <remarks>
 #New: 3.2000;08.10.2024;A.Becker
 </remarks>
</member>
<member name="M:JF.PlmJobManager.JobClient.Communication.JobServerConnector_cls.LocalDriveInfoGet">
 <summary>
 function to get info of the local drive
 </summary>
 <remarks>New: 2.1210;04.02.2015;S.Gueth</remarks>
</member>
<member name="M:JF.PlmJobManager.JobClient.Communication.JobServerConnector_cls.LocalCPUUtilizationInfoGet">
 <summary>
 function to get the info of the cpu utilization
 </summary>
 <remarks>New: 2.1217;06.10.2015;S.Gueth</remarks>
</member>
<member name="M:JF.PlmJobManager.JobClient.Communication.JobServerConnector_cls.LocalMemoryUsageInfoGet">
 <summary>
 function to get the info of the memory usage
 </summary>
 <remarks>New: 2.1217;06.10.2015;S.Gueth</remarks>
</member>
<member name="T:JF.PlmJobManager.JobClient.Communication.JobServerConnector_cls.CommunicationKeepAlive_cls">
 <summary>
 Sends KeepAlive packets to JobServer to avoid timeout exceptions.
 </summary>
 <remarks></remarks>
</member>
<member name="M:JF.PlmJobManager.JobClient.Communication.JobServerConnector_cls.CommunicationKeepAlive_cls.StartKeepAliveAsync(System.Nullable{System.TimeSpan})">
 <summary>
 Starts the intervalling KeepAlive sending process.
 </summary>
 <param name="interval">The minimum timespan between two KeepAlive pakets. Defaults to 1 second.</param>
 <remarks></remarks>
</member>
<member name="M:JF.PlmJobManager.JobClient.Communication.JobServerConnector_cls.CommunicationKeepAlive_cls.StopKeepAlive">
 <summary>
 Requests the stopping of the KeepAlive sending process.
 </summary>
 <remarks>Will block until process is stopped.</remarks>
</member>
</members>
</doc>
